foreach_safe_arg Struct Reference

## Data Fields

st_table * | tbl
st_foreach_func * | func
st_data_t | arg

## Detailed Description

Definition at line 116 of file hash.c.

## Field Documentation

st_data_t foreach_safe_arg::arg

Definition at line 119 of file hash.c.

Referenced by foreach_safe_i(), and st_foreach_safe().

st_foreach_func* foreach_safe_arg::func

Definition at line 118 of file hash.c.

Referenced by foreach_safe_i(), and st_foreach_safe().

st_table* foreach_safe_arg::tbl

Definition at line 117 of file hash.c.

Referenced by st_foreach_safe().

The documentation for this struct was generated from the following file:

- hash.c